QDBM for C++: qdbm::Curia_error Class Reference

# qdbm::Curia_error Class Reference

Error container for Curia. More...

Inheritance diagram for qdbm::Curia_error:

List of all members.

## Public Member Functions
| Curia_error () throw ()
| Create an instance.
| Curia_error (int ecode) throw ()
| Create an instance.
| Curia_error (const Curia_error &ce) throw ()
| Copy constructor.
virtual | ~Curia_error () throw ()
| Release resources of the instance.
Curia_error & | operator= (const Curia_error &ce) throw ()
| Assignment operator.
Curia_error & | operator= (int ecode) throw ()
| Assignment operator.
virtual bool | operator== (const Curia_error &ce) const throw ()
| Equality operator.
virtual bool | operator!= (const Curia_error &ce) const throw ()
| Inequality operator.
virtual bool | operator== (int ecode) const throw ()
| Equality operator.
virtual bool | operator!= (int ecode) const throw ()
| Inequality operator.
virtual | operator const char * () const throw ()
| Cast operator into pointer to char.
virtual int | code () const throw ()
| Get the error code.
virtual const char * | message () const throw ()
| Get the error message.

## Detailed Description

Error container for Curia.

## Constructor & Destructor Documentation

qdbm::Curia_error::Curia_error | ( | int | ecode | ) | throw ()

Create an instance.

Parameters:

  | ecode | the error code.

qdbm::Curia_error::Curia_error | ( | const Curia_error & | ce | ) | throw ()

Copy constructor.

Parameters:

  | ce | a source instance.

## Member Function Documentation

virtual int qdbm::Curia_error::code | ( |  | ) | const throw ()`[virtual]`

Get the error code.

Returns:
  the error code.

virtual const char* qdbm::Curia_error::message | ( |  | ) | const throw ()`[virtual]`

Get the error message.

Returns:
  the pointer to the string.

Reimplemented from qdbm::DBM_error.

virtual qdbm::Curia_error::operator const char * | ( |  | ) | const throw ()`[virtual]`

Cast operator into pointer to char.

Returns:
  the pointer to the string.

Reimplemented from qdbm::DBM_error.

virtual bool qdbm::Curia_error::operator!= | ( | int | ecode | ) | const throw ()`[virtual]`

Inequality operator.

Parameters:

  | ecode | a comparing error code.

Returns:
  true if both do not equal, else, false.

virtual bool qdbm::Curia_error::operator!= | ( | const Curia_error & | ce | ) | const throw ()`[virtual]`

Inequality operator.

Parameters:

  | ce | a comparing instance.

Returns:
  true if both do not equal, else, false.

Curia_error& qdbm::Curia_error::operator= | ( | int | ecode | ) | throw ()

Assignment operator.

Parameters:

  | ecode | the error code.

Returns:
  reference to itself.

Curia_error& qdbm::Curia_error::operator= | ( | const Curia_error & | ce | ) | throw ()

Assignment operator.

Parameters:

  | ce | a source instance.

Returns:
  reference to itself.

virtual bool qdbm::Curia_error::operator== | ( | int | ecode | ) | const throw ()`[virtual]`

Equality operator.

Parameters:

  | ecode | a comparing error code.

Returns:
  true if both equal, else, false.

virtual bool qdbm::Curia_error::operator== | ( | const Curia_error & | ce | ) | const throw ()`[virtual]`

Equality operator.

Parameters:

  | ce | a comparing instance.

Returns:
  true if both equal, else, false.

The documentation for this class was generated from the following file:

- xcuria.h